CrowBar | Create Client | Corvus Skip to main content

Create Client

createClient(brokerageId: $brokerageId, name: $name, primaryWebsite: $primaryWebsite)
Method
POST
Endpoint
Sandbox: https://api-sandbox.corvusinsurance.com/q Production: https://crowbar.corvusinsurance.com/q
Authentication
Send the headers X-API-KEY, X-USER-EMAIL, X-USER-NAME with every request. See Authentication.
The client is the entity that will be insured. Quote requests from multiple product lines can be submitted for the same client.
Create one client per account and reuse it for every quote request, including requests for different limits. See Requesting more than one coverage option.
Please note that for any clients created within the Sandbox environment, scan results are prefabricated and for testing purposes only.
Please note that if a primary website is not included, the quote request will be referred.

Arguments

Required Required to submit Optional

Pass these as variables.

Create Client arguments
Name Type Required Description
brokerageId ID! Required

Id of your brokerage provided by Corvus

name String! Required

Name of the client to be insured (limit 200 characters)

primaryWebsite String Optional

Primary website of the client. Answer must have one the following format: example.com, www.example.com, http://example.org, http://www.example.co, https://example.eu, https://www.example.net

address AddressInput Optional

The address of the client, specified as strings using the nested keys of this field

country Country Optional

ISO two character code of the country (https://www.iso.org/obp/ui/#search)

street String Optional

Street address

streetTwo String Optional

Apartment, suite or unit number

locality String Optional

Name of the city

region String Optional

Name of the state; the full name or the abbreviation of the state

postalCode String Optional

Postal Code

What websites can I use for testing?

Response fields

Select only the fields you need in the selection set.

Create Client response fields
Name Type Description
id ID

Client id you can use in future requests